# Poco

# class HexBinaryDecoderIOS

Library: Foundation
Package: Streams
Header: Poco/HexBinaryDecoder.h

## Description

The base class for HexBinaryDecoder.

This class is needed to ensure the correct initialization order of the stream buffer and base classes.

## Inheritance

Direct Base Classes: std::ios

All Base Classes: std::ios

Known Derived Classes: HexBinaryDecoder

## Member Summary

Member Functions: rdbuf

## Constructors

### HexBinaryDecoderIOS

HexBinaryDecoderIOS(
std::istream & istr
);

## Destructor

### ~HexBinaryDecoderIOS

~HexBinaryDecoderIOS();

## Member Functions

### rdbuf

HexBinaryDecoderBuf * rdbuf();

## Variables

### _buf

HexBinaryDecoderBuf _buf;